<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage News Vibe Pro
 * @since News Vibe Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'news_vibe_pro_menu', array(
	'title'             => esc_html__('Header Menu','news-vibe-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'news-vibe-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'news_vibe_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'news_vibe_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new News_Vibe_Pro_Switch_Control( $wp_customize, 'news_vibe_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'news-vibe-pro' ),
	'section'           => 'news_vibe_pro_menu',
	'on_off_label' 		=> news_vibe_pro_switch_options(),
) ) );

// search enable setting and control.
$wp_customize->add_setting( 'news_vibe_pro_theme_options[nav_search_enable]', array(
	'sanitize_callback' => 'news_vibe_pro_sanitize_switch_control',
	'default'           => $options['nav_search_enable'],
) );

$wp_customize->add_control( new News_Vibe_Pro_Switch_Control( $wp_customize, 'news_vibe_pro_theme_options[nav_search_enable]', array(
	'label'             => esc_html__( 'Enable search', 'news-vibe-pro' ),
	'section'           => 'news_vibe_pro_menu',
	'on_off_label' 		=> news_vibe_pro_switch_options(),
) ) );