<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage News Vibe Pro
* @since News Vibe Pro 1.0.0
*/

if ( ! function_exists( 'news_vibe_pro_validate_long_excerpt' ) ) :
  function news_vibe_pro_validate_long_excerpt( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'news-vibe-pro' ) );
     } elseif ( $value < 5 ) {
         $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'news-vibe-pro' ) );
     } elseif ( $value > 100 ) {
         $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'news-vibe-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'news_vibe_pro_validate_breakingnews_count' ) ) :
  function news_vibe_pro_validate_breakingnews_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'news-vibe-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'news-vibe-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'news-vibe-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'news_vibe_pro_validate_slider_count' ) ) :
  function news_vibe_pro_validate_slider_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'news-vibe-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'news-vibe-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'news-vibe-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'news_vibe_pro_validate_relatedpost_count' ) ) :
  function news_vibe_pro_validate_relatedpost_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'news-vibe-pro' ) );
     } elseif ( $value < 4 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'news-vibe-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'news-vibe-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'news_vibe_pro_validate_featured_post_count' ) ) :
  function news_vibe_pro_validate_featured_post_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'news-vibe-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'news-vibe-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'news-vibe-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'news_vibe_pro_validate_latest_post_count' ) ) :
  function news_vibe_pro_validate_latest_post_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'news-vibe-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'news-vibe-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'news-vibe-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'news_vibe_pro_validate_popular_count' ) ) :
  function news_vibe_pro_validate_popular_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'news-vibe-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'news-vibe-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'news-vibe-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'news_vibe_pro_validate_most_viewed_count' ) ) :
  function news_vibe_pro_validate_most_viewed_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'news-vibe-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'news-vibe-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'news-vibe-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'news_vibe_pro_validate_video_post_count' ) ) :
  function news_vibe_pro_validate_video_post_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'news-vibe-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'news-vibe-pro' ) );
     } elseif ( $value > 5 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 5', 'news-vibe-pro' ) );
     }
     return $validity;
  }
endif;


if ( ! function_exists( 'news_vibe_pro_validate_media_post_count' ) ) :
  function news_vibe_pro_validate_media_post_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'news-vibe-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'news-vibe-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'news-vibe-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'news_vibe_pro_validate_related_post_count' ) ) :
  function news_vibe_pro_validate_related_post_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'news-vibe-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'news-vibe-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'news-vibe-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'news_vibe_pro_validate_random_post_count' ) ) :
  function news_vibe_pro_validate_random_post_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'news-vibe-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'news-vibe-pro' ) );
     } elseif ( $value > 6 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'news-vibe-pro' ) );
     }
     return $validity;
  }
endif;
if ( ! function_exists( 'news_vibe_pro_validate_multi_post_col1_count' ) ) :
  function news_vibe_pro_validate_multi_post_col1_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'news-vibe-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'news-vibe-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'news-vibe-pro' ) );
     }
     return $validity;
  }
endif;
if ( ! function_exists( 'news_vibe_pro_validate_multi_post_col2_count' ) ) :
  function news_vibe_pro_validate_multi_post_col2_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'news-vibe-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'news-vibe-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'news-vibe-pro' ) );
     }
     return $validity;
  }
endif;
