<?php

/**
 * Demo Import.
 *
 * This is the template that includes all the other files for core featured of Theme Palace
 *
 * @package Theme Palace
 * @subpackage News Vibe Pro
 * @since News Vibe Pro 1.0.0
 * 
 */


function news_vibe_pro_ctdi_plugin_page_setup( $default_settings ) {
    $default_settings['menu_title']  = esc_html__( 'Theme Palace Demo Import' , 'news-vibe-pro' );

    return $default_settings;
}
add_filter( 'cp-ctdi/plugin_page_setup', 'news_vibe_pro_ctdi_plugin_page_setup' );


function news_vibe_pro_ctdi_import_files() {
    return array(
        array(
            'import_file_name'             => esc_html__( 'Pro Demo', 'news-vibe-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro/news-vibe-pro-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro/news-vibe-pro-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro/news-vibe-pro-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro/pro.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'news-vibe-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/news-vibe-pro',
        ),
        array(
            'import_file_name'             => esc_html__( 'Sport Demo', 'news-vibe-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Sport/news-vibe-pro-sport-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Sport/news-vibe-pro-sport-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Sport/news-vibe-pro-sport-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Sport/sport.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'news-vibe-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/news-vibe-pro-sport',
        ),
        array(
            'import_file_name'             => esc_html__( 'Politics Demo', 'news-vibe-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Politics/news-vibe-pro-politics-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Politics/news-vibe-pro-politics-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Politics/news-vibe-pro-politics-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Politics/politics.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'news-vibe-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/news-vibe-pro-politics',
        ),
        array(
            'import_file_name'             => esc_html__( 'Nature Demo', 'news-vibe-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Nature/news-vibe-pro-nature-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Nature/news-vibe-pro-nature-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Nature/news-vibe-pro-nature-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Nature/nature.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'news-vibe-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/news-vibe-pro-nature',
        ),
        array(
            'import_file_name'             => esc_html__( 'Travel Demo', 'news-vibe-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Travel/news-vibe-pro-travel-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Travel/news-vibe-pro-travel-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Travel/news-vibe-pro-travel-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Travel/travel.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'news-vibe-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/news-vibe-pro-travel',
        ),
        array(
            'import_file_name'             => esc_html__( 'Dark Demo', 'news-vibe-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Dark/news-vibe-pro-dark-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Dark/news-vibe-pro-dark-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Dark/news-vibe-pro-dark-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Dark/dark.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'news-vibe-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/news-vibe-pro-dark',
        ),
        array(
            'import_file_name'             => esc_html__( 'Education Demo', 'news-vibe-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Education/news-vibe-pro-education-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Education/news-vibe-pro-education-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Education/news-vibe-pro-education-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Education/education.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'news-vibe-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/news-vibe-pro-education',
        ),
        array(
            'import_file_name'             => esc_html__( 'Celebrity Demo', 'news-vibe-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Celebrity/news-vibe-pro-celebrity-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Celebrity/news-vibe-pro-celebrity-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Celebrity/news-vibe-pro-celebrity-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Celebrity/celebrity.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'news-vibe-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/news-vibe-pro-celebrity',
        ),
    );
}

add_filter( 'cp-ctdi/import_files', 'news_vibe_pro_ctdi_import_files' );



function news_vibe_pro_ctdi_after_import_setup() {
    // Assign menus to their locations.
    $primary = get_term_by('slug', 'primary', 'nav_menu');
    $secondary = get_term_by('slug', 'secondary', 'nav_menu');
    $social = get_term_by('slug', 'social', 'nav_menu');
	$locations = get_theme_mod('nav_menu_locations');

	//set the menu to the new location and save into database
	$locations['primary'] = $primary->term_id;
	$locations['social'] = $social->term_id;
    $locations['secondary'] = $secondary->term_id;
    
	set_theme_mod( 'nav_menu_locations', $locations );

    // Assign front page and posts page (blog page).
    $front_page_id =  get_option( 'page_on_front' );
    $blog_page_id  =  get_option( 'page_for_posts' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id );
    update_option( 'page_for_posts', $blog_page_id );

}
add_action( 'cp-ctdi/after_import', 'news_vibe_pro_ctdi_after_import_setup' );

// add_action( 'cp-ctdi/enable_wp_customize_save_hooks', '__return_true' );